/* $Id: msg_recver.cpp,v 1.2 2004/05/09 01:36:19 chris Exp $
 *
 * shapsim - Amorphous shape mapping computer simulator and analyzer.
 * Copyright (C) 2004 Chris Frost <frost@cs.virginia.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "delivered_msg.h"
#include "msg_recver.h"
#include <vector>
using namespace std;

msg_recver::msg_recver()
{}

msg_recver::msg_recver(const msg_recver &mr)
	: recved_msgs(recved_msgs)
{}


void msg_recver::recv_msg(const delivered_msg &m)
{ recved_msgs.push_back(m); }


vector<delivered_msg> msg_recver::get_recved_msgs()
{
	vector<delivered_msg> toret_recved_msgs(recved_msgs);
	recved_msgs.clear();
	return toret_recved_msgs;
}
