/* $Id: progress_bar.h,v 1.2 2004/05/09 01:36:20 chris Exp $
 *
 * shapsim - Amorphous shape mapping computer simulator and analyzer.
 * Copyright (C) 2004 Chris Frost <frost@cs.virginia.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PROGRESS_BAR_H
#define __PROGRESS_BAR_H

class progress_bar
{
 public:
	progress_bar(float total_work_units,
					 bool output_progress,
					 unsigned int line_width = 80);

	void begin();
	void done();
	void update();

 private:
	const float total_work_units;
	const float work_units_per_update;
	const bool  output_progress;

	float next_update_progress;
};

#endif // __PROGRESS_BAR_H
