/* $Id: todeliver_msg.h,v 1.2 2004/05/09 01:36:20 chris Exp $
 *
 * shapsim - Amorphous shape mapping computer simulator and analyzer.
 * Copyright (C) 2004 Chris Frost <frost@cs.virginia.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TODELIVER_MSG_H
#define __TODELIVER_MSG_H

#include <memory>
#include "msg_content.h"

class todeliver_msg
{
 public:
	todeliver_msg();
	todeliver_msg(std::auto_ptr<msg_content> mc);
	todeliver_msg(const todeliver_msg &tdm);

	std::auto_ptr<msg_content> get_msg_content_copy() const;
	std::auto_ptr<msg_content> extract_msg_content();

	void set_msg_content(std::auto_ptr<msg_content> mc);

 private:
	std::auto_ptr<msg_content> mc;
};

#endif // __TODELIVER_MSG_H
